#!/bin/sh
cd debian/tests

echo "info: compiling"
(cobc test01.cob > $AUTOPKGTEST_TMP/test01.act 2>&1)

echo "info: running"
cmp -s test01.exp $AUTOPKGTEST_TMP/test01.act
res=$?
if [ $res = 0 ] ; then
    echo "success: test01 produced proper results"
else
    echo "error: test01 did not produce proper results"
    diff -u test01.exp $AUTOPKGTEST_TMP/test01.act
fi

exit $res
